K8s Job 파이프라인(train/register/deploy/CT): 실행, 그래프, 로그, 트리거/재실행/중단.

GET /api/v1/pipelines

GET/api/v1/pipelines

테넌트의 파이프라인 목록

테넌트가 실행할 수 있는 파이프라인(train|register|deploy|ct) 목록을 반환합니다.

Permission: VIEW

Parameters

NameInTypeRequiredDescription
typequerystring?파이프라인 타입으로 필터링

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/pipelines/{ptype}/runs

GET/api/v1/pipelines/{ptype}/runs

파이프라인의 최근 실행 목록

테넌트의 특정 파이프라인 타입에 대한 최근 실행(Job) 목록을 반환합니다.

Permission: VIEW

Parameters

NameInTypeRequiredDescription
ptypepathstring
pagequeryinteger
page_sizequeryinteger?

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/pipelines/{ptype}/{run_id}

GET/api/v1/pipelines/{ptype}/{run_id}

실행 정보 + 진행 상황

단일 파이프라인 실행의 상세 정보와 진행 상황을 반환합니다.

Permission: VIEW

Parameters

NameInTypeRequiredDescription
ptypepathstring
run_idpathstring

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/pipelines/{ptype}/{run_id}/dag

GET/api/v1/pipelines/{ptype}/{run_id}/dag

실행 그래프 (nodes/edges)

파이프라인 실행에 대한 그래프(nodes/edges)를 반환합니다.

Permission: VIEW

Parameters

NameInTypeRequiredDescription
ptypepathstring
run_idpathstring

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/pipelines/{ptype}/{run_id}/tasks/{task}/logs

GET/api/v1/pipelines/{ptype}/{run_id}/tasks/{task}/logs

실행 로그

파이프라인 실행의 로그를 반환합니다.

Permission: VIEW

Parameters

NameInTypeRequiredDescription
ptypepathstring
run_idpathstring
taskpathstring
try_numberqueryinteger

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

POST /api/v1/pipelines/{ptype}/trigger

POST/api/v1/pipelines/{ptype}/trigger

파이프라인 실행 트리거

지정된 파이프라인 타입의 새 실행을 수동으로 트리거합니다.

Permission: OPERATE

Parameters

NameInTypeRequiredDescription
ptypepathstring

Request body: application/json, object

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

POST /api/v1/pipelines/{ptype}/{run_id}/rerun

POST/api/v1/pipelines/{ptype}/{run_id}/rerun

파이프라인 실행 재실행

기존 실행과 같은 이미지·conf 로 새 실행을 제출합니다.

Permission: OPERATE

Parameters

NameInTypeRequiredDescription
ptypepathstring
run_idpathstring

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

POST /api/v1/pipelines/{ptype}/{run_id}/abort

POST/api/v1/pipelines/{ptype}/{run_id}/abort

파이프라인 실행 중단

실행 중인 파이프라인 실행을 중단합니다.

Permission: OPERATE

Parameters

NameInTypeRequiredDescription
ptypepathstring
run_idpathstring

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

Written for the platform as of 2026-09-21.

© Geo-MLOps